# Loan object

A loan is an object that lives under an entity, at the same level as a bank account. Just like entities can have multiple bank accounts, entities can have multiple loans. Loans are the foundation for many lending-oriented use cases such as charge cards and term loans. [Read more](/lending).

### Object Parameters

- `allow_overpayment` `boolean` — Indicates if a loan is able to be overpaid and have a `principal_outstanding` of less than $0. If `false`, payments that would result in a loan having a negative balance will be blocked.
- `auto_sell` `boolean` — Indicates if seasoned principals/interests should be automatically sold to your platform. Default: the value in the loan program.
- `balances` `object` — The loan balances.
  - `interest_paid` `string` — Total paid interest in cents belonging to Column and your platform.
  - `interest_receivable` `string` — Total outstanding interest receivable in cents for principal belonging to Column and your platform.
  - `principal_charged_off` `string` — The charged-off principal receivable.
  - `principal_holding` `string` — The principal receivable of the loan which is in a holding state.
  - `principal_outstanding` `string` — Total outstanding principal receivable in cents belonging to Column and your platform.
  - `principal_paid` `string` — The principal receivable of the loan which has been paid belonging to Column and your platform.
  - `retained_interest_paid` `string` — Total paid interest in cents belonging to Column.
  - `retained_interest_receivable` `string` — Total outstanding interest receivable in cents for principal belonging to Column.
  - `retained_principal_charged_off` `string` — The charged-off principal receivable belonging to Column.
  - `retained_principal_outstanding` `string` — Total outstanding principal receivable in cents belonging to Column.
  - `retained_principal_paid` `string` — Total paid principal receivable in cents belonging to Column.
  - `servicing_fee_payable` `string` — Total outstanding servicing fee payable in cents to your platform.
- `canceled_at` `date-time` — The timestamp the loan was canceled at. Returns `null` when not applicable.
- `charged_off_at` `date-time` — The timestamp the loan was charged off. Returns `null` when not applicable.
- `created_at` `date-time` — The timestamp the loan was created
- `currency` `string` — The currency of the loan. Currently only `USD` is supported.
- `delinquent_at` `date-time` — The timestamp the loan was marked as delinquent. Returns `null` when not applicable.
- `description` `string` — The description of the loan in the Column dashboard
- `disputed_at` `date-time` — The timestamp the loan was marked as disputed. Returns `null` when not applicable.
- `id` `string` — The ID of the loan object
- `interest_config_id` `string` — ID of the interest configuration used to accrue interest receivable daily. The same interest configuration can be shared across multiple loans.
- `is_business_seasoning_days` `boolean` — Indicates if `seasoning_days` are business days or calendar days.
- `is_revolving` `boolean` — Indicates whether or not the loan is revolving. If `true` the loan can have multiple disbursements.
- `loan_program_id` `string` — ID of the loan program for this loan.
- `maturity_date` `string` — The maturity date of the loan. It is required if the loan is not revolving.
- `max_principal_balance` `integer` — The max principal balance of the loan in cents. This is akin to a credit limit. Disbursements will fail if the resulting principal will be above the max principal.
- `paid_off_at` `date-time` — The timestamp the loan is marked as paid off. Returns `null` when not applicable.
- `primary_signer_entity_id` `string` — The Column `entity_id` which the loan is related to
- `retained_by_column` `boolean` — Indicates if this loan should be retained by Column. Loans retained by Column are not eligible for your platform to purchase.
- `seasoning_days` `integer` — Number of days principal receivables will be seasoned.
- `status` `string` — The current status of the loan. Possible values: `current`, `delinquent`, `charged_off`, `in_dispute`, `canceled`, `paid_off`

**Response 200**

```json
{
  "allow_overpayment": false,
  "auto_sell": false,
  "balances": {
    "interest_paid": "300",
    "interest_receivable": "54400",
    "principal_charged_off": "0",
    "principal_holding": "0",
    "principal_outstanding": "6666600",
    "principal_paid": "33300",
    "retained_interest_paid": "100",
    "retained_interest_receivable": "9800",
    "retained_principal_charged_off": "0",
    "retained_principal_outstanding": "1111100",
    "retained_principal_paid": "5500",
    "servicing_fee_payable": "560"
  },
  "canceled_at": null,
  "charged_off_at": null,
  "created_at": "2025-06-06T08:00:00Z",
  "currency": "USD",
  "delinquent_at": null,
  "description": "",
  "disputed_at": null,
  "id": "loan_2zEi4Q67eiQqyQkGXPqEzWXn5Q",
  "interest_config_id": "icfg_2zEi4VfLQfR06mm1fnAGcwcNT1D",
  "is_business_seasoning_days": false,
  "is_revolving": true,
  "loan_program_id": "lpgm_2zEi4QiopsBnyfuHQweFXc7Csi8",
  "maturity_date": "2025-07-30",
  "max_principal_balance": "100000000000",
  "paid_off_at": null,
  "primary_signer_entity_id": "enti_2zEi4U3gAGjdRAVHOJ19UkyG27K",
  "retained_by_column": false,
  "seasoning_days": 2,
  "status": "current"
}
```
